

#include "MaxMin.h"

DIST_TYPE calc_max_dist_spheres( sphere_t* s_a, sphere_t* s_b)
{
	return calc_dist( s_a->center, s_b->center) + s_a->radius + s_b->radius;
}

DIST_TYPE calc_min_dist_spheres( sphere_t* s_a, sphere_t* s_b)
{
	DIST_TYPE dist_v;

	dist_v = calc_dist( s_a->center, s_b->center) - s_a->radius - s_b->radius;

	if( dist_v < 0)
		dist_v = 0;

	return dist_v;
}

int MaxMin_pruning( sphere_t* s_a, sphere_t* s_b, sphere_t* s_q)
{
	DIST_TYPE dist_v1, dist_v2;

	//emp
	dup_point( s_a->center);
	dup_point( s_b->center);
	dup_point( s_q->center);
	//emp

	dist_v1 = calc_max_dist_spheres( s_q, s_a);
	dist_v2 = calc_min_dist_spheres( s_q, s_b);

	if( dist_v1 < dist_v2)
		return 1;
	else
		return 0;
}
