

#ifndef HYPERBOLA_H
#define HYPERBOLA_H


#include "data_struct.h"
#include "data_utility.h"
#include "solver.h"
#include "trigonometric.h"

#include "quintic.h"


point_t* dup_point( point_t* point_v);

/*
 *	The implementation of the "hyperbola pruning" technique.
 */
int hyperbola_pruning( sphere_t* s_a, sphere_t* s_b, sphere_t* s_q);

#endif